struct MyDevInfo {
    char *DeviceName;           /* exec device name */
    ULONG Unit;                 /* exec unit number */
    ULONG DeviceFlags;          /* flags to OpenDevice */
    ULONG BlockSize;            /* in bytes */
    ULONG Surfaces;             /* # of heads */
    ULONG BlocksPerTrack;       /* blocks per track (not cylinder) */
    ULONG Reserved;             /* number of reserved blocks at beginning */
    ULONG PreAlloc;             /* number of reserved blocks at end */
    ULONG LowCyl;               /* first cylinder */
    ULONG HighCyl;              /* last cylinder */
    ULONG BufMemType;           /* type of memory for buffers */
    ULONG DosType;              /* 0x444F5300 or 0x444F5301 */
};

extern  struct MyDevInfo *getDevInfo();
